# Update an existing attribute for a ticket type

You can update an existing attribute for a ticket type.

Endpoint: PUT /ticket_types/{ticket_type_id}/attributes/{id}
Version: 2.12
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "Preview"

## Path parameters:

  - `ticket_type_id` (string, required)
    The unique identifier for the ticket type which is given by Intercom.

  - `id` (string, required)
    The unique identifier for the ticket type attribute which is given by Intercom.

## Request fields (application/json):

  - `name` (string)
    The name of the ticket type attribute
    Example: "Bug Priority"

  - `description` (string)
    The description of the attribute presented to the teammate or contact
    Example: "Priority level of the bug"

  - `required_to_create` (boolean)
    Whether the attribute is required to be filled in when teammates are creating the ticket in Inbox.

  - `required_to_create_for_contacts` (boolean)
    Whether the attribute is required to be filled in when contacts are creating the ticket in Messenger.

  - `visible_on_create` (boolean)
    Whether the attribute is visible to teammates when creating a ticket in Inbox.
    Example: true

  - `visible_to_contacts` (boolean)
    Whether the attribute is visible to contacts when creating a ticket in Messenger.
    Example: true

  - `multiline` (boolean)
    Whether the attribute allows multiple lines of text (only applicable to string attributes)

  - `list_items` (string)
    A comma delimited list of items for the attribute value (only applicable to list attributes)
    Example: "Low Priority,Medium Priority,High Priority"

  - `allow_multiple_values` (boolean)
    Whether the attribute allows multiple files to be attached to it (only applicable to file attributes)

  - `archived` (boolean)
    Whether the attribute should be archived and not shown during creation of the ticket (it will still be present on previously created tickets)

## Response 200 fields (application/json):

  - `type` (string)
    String representing the object's type. Always has the value ticket_type_attribute.
    Example: "ticket_type_attribute"

  - `id` (string)
    The id representing the ticket type attribute.
    Example: "1"

  - `workspace_id` (string)
    The id of the workspace that the ticket type attribute belongs to.
    Example: "ecahpwf5"

  - `name` (string)
    The name of the ticket type attribute
    Example: "Title"

  - `description` (string)
    The description of the ticket type attribute
    Example: "Bug title."

  - `data_type` (string)
    The type of the data attribute (allowed values: "string list integer decimal boolean datetime files")
    Example: "string"

  - `input_options` (object)
    Input options for the attribute
    Example: "multiline: true"

  - `order` (integer)
    The order of the attribute against other attributes
    Example: 1

  - `required_to_create` (boolean)
    Whether the attribute is required or not for teammates.

  - `required_to_create_for_contacts` (boolean)
    Whether the attribute is required or not for contacts.

  - `visible_on_create` (boolean)
    Whether the attribute is visible or not to teammates.

  - `visible_to_contacts` (boolean)
    Whether the attribute is visible or not to contacts.

  - `default` (boolean)
    Whether the attribute is built in or not.
    Example: true

  - `ticket_type_id` (integer)
    The id of the ticket type that the attribute belongs to.
    Example: 42

  - `archived` (boolean)
    Whether the ticket type attribute is archived or not.

  - `created_at` (integer)
    The date and time the ticket type attribute was created.

  - `updated_at` (integer)
    The date and time the ticket type attribute was last updated.

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


